D-Bus 1.13.18

Data Fields
DBusTransport Struct Reference

Object representing a transport such as a socket. More...

`#include <dbus-transport-protected.h>`

## Data Fields
int | refcount
| Reference count.
const DBusTransportVTable * | vtable
| Virtual methods for this instance.
DBusConnection * | connection
| Connection owning this transport.
DBusMessageLoader * | loader
| Message-loading buffer.
DBusAuth * | auth
| Authentication conversation.
DBusCredentials * | credentials
| Credentials of other end read from the socket.
long | max_live_messages_size
| Max total size of received messages.
long | max_live_messages_unix_fds
| Max total unix fds of received messages.
DBusCounter * | live_messages
| Counter for size/unix fds of all live messages.
char * | address
| Address of the server we are connecting to (NULL for the server side of a transport)
char * | expected_guid
| GUID we expect the server to have, NULL on server side or if we don't have an expectation.
DBusAllowUnixUserFunction | unix_user_function
| Function for checking whether a user is authorized.
void * | unix_user_data
| Data for unix_user_function.
DBusFreeFunction | free_unix_user_data
| Function to free unix_user_data.
DBusAllowWindowsUserFunction | windows_user_function
| Function for checking whether a user is authorized.
void * | windows_user_data
| Data for windows_user_function.
DBusFreeFunction | free_windows_user_data
| Function to free windows_user_data.
unsigned int | disconnected: 1
| TRUE if we are disconnected.
unsigned int | authenticated: 1
| Cache of auth state; use _dbus_transport_peek_is_authenticated() to query value.
unsigned int | send_credentials_pending: 1
| TRUE if we need to send credentials
unsigned int | receive_credentials_pending: 1
| TRUE if we need to receive credentials
unsigned int | is_server: 1
| TRUE if on the server side
unsigned int | unused_bytes_recovered: 1
| TRUE if we've recovered unused bytes from auth
unsigned int | allow_anonymous: 1
| TRUE if an anonymous client can connect

## Detailed Description

Object representing a transport such as a socket.

A transport can shuttle messages from point A to point B, and is the backend for a DBusConnection.

Definition at line 80 of file dbus-transport-protected.h.

The documentation for this struct was generated from the following file:

- dbus-transport-protected.h